Get list of CDD
curl --request GET \
--url https://api.godiligent.ai/cdds \
--header 'X-API-KEY: <api-key>'import requests
url = "https://api.godiligent.ai/cdds"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://api.godiligent.ai/cdds', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.godiligent.ai/cdds",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.godiligent.ai/cdds"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-KEY", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.godiligent.ai/cdds")
.header("X-API-KEY", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.godiligent.ai/cdds")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-KEY"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"count": 1,
"cases": [
{
"id": "d6e3b214-30b1-4401-a1b8-a1bd3c6a84e4",
"state": "COMPLETED",
"input": {
"website": "https://example.com",
"email": "fulan@domain.com",
"legal_name": "PayLane Sp. z o.o.",
"registry_profile": "FULL",
"address": "Am Generalshof 12, 10117 Berlin, Germany",
"external_id": "1538c2f9-ff0f-489e-0099-a5f116a4af07",
"vat_number": "BE09999999XX."
},
"last_run_check_set_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2024-03-20T15:18:36.803Z",
"updated_at": "2024-03-20T15:20:12.456Z",
"checks": {
"verdict": "ACCEPT",
"groups": [
{
"name": "onboarding",
"action": "ACCEPT"
}
]
}
}
],
"next_cursor": null
}Customer Due Diligence
List CDDs
Retrieve a list of CDD requests
GET
/
cdds
Get list of CDD
curl --request GET \
--url https://api.godiligent.ai/cdds \
--header 'X-API-KEY: <api-key>'import requests
url = "https://api.godiligent.ai/cdds"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://api.godiligent.ai/cdds', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.godiligent.ai/cdds",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.godiligent.ai/cdds"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-KEY", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.godiligent.ai/cdds")
.header("X-API-KEY", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.godiligent.ai/cdds")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-KEY"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"count": 1,
"cases": [
{
"id": "d6e3b214-30b1-4401-a1b8-a1bd3c6a84e4",
"state": "COMPLETED",
"input": {
"website": "https://example.com",
"email": "fulan@domain.com",
"legal_name": "PayLane Sp. z o.o.",
"registry_profile": "FULL",
"address": "Am Generalshof 12, 10117 Berlin, Germany",
"external_id": "1538c2f9-ff0f-489e-0099-a5f116a4af07",
"vat_number": "BE09999999XX."
},
"last_run_check_set_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2024-03-20T15:18:36.803Z",
"updated_at": "2024-03-20T15:20:12.456Z",
"checks": {
"verdict": "ACCEPT",
"groups": [
{
"name": "onboarding",
"action": "ACCEPT"
}
]
}
}
],
"next_cursor": null
}Authorizations
Query Parameters
Start date for filtering CDD cases (optional)
End date for filtering CDD cases (optional). Cannot be used together with external_id.
Filter CDD cases by external ID. When provided, from and to parameters are ignored, and every match comes back in one response, so limit and cursor are ignored too.
Maximum number of cases in this page (optional). A page also stops at about 6 MB, so it can hold fewer cases.
Required range:
1 <= x <= 10000The next_cursor value from the previous page. The next page keeps the date range of the first request, so from and to are ignored when cursor is sent.
⌘I